<?php
defined( 'ABSPATH' ) || exit;

if( ! class_exists( 'VP_Update_Checker' ) ) {

	class VP_Update_Checker{

		public $plugin_slug;
		public $api_url;
		public function __construct($plugin_slug) {
			$this->plugin_slug = $plugin_slug;
			$this->api_url = 'https://visztpeter.me/wp-json/vp_woo_plugin/'.$this->plugin_slug;
			add_filter('update_plugins_'.$this->plugin_slug, array($this, 'update'), 10, 4);
			add_filter('plugins_api', array( $this, 'info' ), 20, 3 );
		}

		public function update($update, $plugin_data, $plugin_file, $locales) {
			$remote = wp_remote_get($this->api_url);
			$remote = json_decode( wp_remote_retrieve_body( $remote ) );
			return $remote;
		}

		public function info($res, $action, $args){
			if('plugin_information' === $action && $args->slug == $this->plugin_slug) {
				$remote = wp_remote_get($this->api_url);
				$res = json_decode( wp_remote_retrieve_body( $remote ) );
				$res->sections = json_decode(json_encode($res->sections), true);
				$res->banners = json_decode(json_encode($res->banners), true);			
			}
			return $res;
		}

	}

}