<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

//Get saved values(this could be better, but only way i could find that works after save)
$saved_values = get_option($this->get_instance_option_key());
if($saved_values && isset($saved_values['pricing'])) {
	$saved_values = $saved_values['pricing'];
}

//Apply filters
$conditions = VP_Shipping_Rate_Conditions::get_conditions('pricings');

?>

<tr valign="top">
	<th scope="row" class="titledesc">
		<label for="<?php echo esc_attr( $field_key ); ?>"><?php echo wp_kses_post( $data['title'] ); ?> <?php echo $this->get_tooltip_html( $data ); // WPCS: XSS ok. ?></label>
	</th>
	<td class="forminp <?php echo esc_attr( $data['class'] ); ?>">
		<div class="vp-shipping-rate-settings-pricings">
			<?php if($saved_values): ?>
				<?php foreach ( $saved_values as $pricing_id => $pricing ): ?>
					<div class="vp-shipping-rate-settings-pricing vp-shipping-rate-settings-repeat-item">
						<div class="vp-shipping-rate-settings-pricing-title">
							<div class="cost-field">
								<input placeholder="<?php _e('Shipping cost(net)', 'vp-shipping-rate'); ?>" type="text" data-name="vp_shipping_rate_pricing[X][cost]" value="<?php echo esc_attr($pricing['cost']); ?>">
								<small><?php echo esc_html(get_woocommerce_currency_symbol()); ?></small>
							</div>
							<a href="#" class="delete-pricing"><?php _e('delete', 'vp-shipping-rate'); ?></a>
						</div>
						<div class="vp-shipping-rate-settings-pricing-if">
							<div class="vp-shipping-rate-settings-pricing-if-header">
								<span><?php _e('Apply this pricing, if', 'vp-shipping-rate'); ?></span>
								<select data-name="vp_shipping_rate_pricing[X][logic]">
									<option value="and" <?php if(isset($pricing['logic'])) selected( $pricing['logic'], 'and' ); ?>><?php _e('All', 'vp-shipping-rate'); ?></option>
									<option value="or" <?php if(isset($pricing['logic'])) selected( $pricing['logic'], 'or' ); ?>><?php _e('One', 'vp-shipping-rate'); ?></option>
								</select>
								<span><?php _e('of the following match', 'vp-shipping-rate'); ?></span>
							</div>
							<ul class="vp-shipping-rate-settings-pricing-if-options conditions" <?php if(isset($pricing['conditions'])): ?>data-options="<?php echo esc_attr(json_encode($pricing['conditions'])); ?>"<?php endif; ?>></ul>
						</div>
					</div>
				<?php endforeach; ?>
			<?php endif; ?>
		</div>
		<div class="vp-shipping-rate-settings-pricing-add">
			<a href="#" class="add"><span class="dashicons dashicons-plus-alt"></span> <span><?php _e('Add new pricing', 'vp-shipping-rate'); ?></span></a>
		</div>
		<?php echo $this->get_description_html( $data ); // WPCS: XSS ok. ?>
	</td>
</tr>

<script type="text/html" id="vp_shipping_rate_pricing_sample_row">
	<div class="vp-shipping-rate-settings-pricing vp-shipping-rate-settings-repeat-item">
		<div class="vp-shipping-rate-settings-pricing-title">
			<div class="cost-field">
				<input placeholder="<?php _e('Shipping cost(net)', 'vp-shipping-rate'); ?>" type="text" data-name="vp_shipping_rate_pricing[X][cost]">
				<small><?php echo esc_html(get_woocommerce_currency_symbol()); ?></small>
			</div>
			<a href="#" class="delete-pricing"><?php _e('delete', 'vp-shipping-rate'); ?></a>
		</div>
		<div class="vp-shipping-rate-settings-pricing-if">
			<div class="vp-shipping-rate-settings-pricing-if-header">
				<span><?php _e('Apply this pricing, if', 'vp-shipping-rate'); ?></span>
				<select data-name="vp_shipping_rate_pricing[X][logic]">
					<option value="and"><?php _e('All', 'vp-shipping-rate'); ?></option>
					<option value="or"><?php _e('One', 'vp-shipping-rate'); ?></option>
				</select>
				<span><?php _e('of the following match', 'vp-shipping-rate'); ?></span>
			</div>
			<ul class="vp-shipping-rate-settings-pricing-if-options conditions"></ul>
		</div>
	</div>
</script>

<?php echo VP_Shipping_Rate_Conditions::get_sample_row('pricings'); ?>